3

I'm trying to update Java on my MacBook (OS X 10.9.5). When I download the most resent version (v8 update 40) from java.com and try to install it, it pops up an error box saying

You are trying to install 1.8.40.27, however 14.9.0 is already installed

and that's it. In a terminal I get

java -version
java version "1.6.0_65"
Java(TM) SE Runtime Environment (build 1.6.0_65-b14-462-11M4609)
Java HotSpot(TM) 64-Bit Server VM (build 20.65-b04-462, mixed mode)

But Firefox → Tools → Add-ons shows Java 14.9.0 (and says it's outdated), though there is no option to de-install it.

So, how can I install the most recent Java 8.40? How can I uninstall this mysterious Java 14.9.0?

  • The java command line does not show the version used in the browser - do you just want to update the browser? Where exactly in Firefox Add ons dopes it show Java - In plugins I have Java Applet Plug-in Java 8 Update 49 – Mark Apr 5 '15 at 11:07
  • thanks Mark. I have sorted this now using klanomath's answer. – Walter Apr 5 '15 at 12:08
6

According to apple.discussions.com the install of Java8 should work after removing an older Java plugin with the following command:

sudo rm -fr /Library/Internet\ Plug-Ins/JavaAppletPlugin.plugin
  • That did it for me (somehow that discussion didn't show up on my searches). However, /Library/Internet\ Plug-Ins/JavaAppletPlugin.plugin was only a link to another location, so the rm only removed the link, but not the directory linked to. Shouldn't I remove that to? – Walter Mar 21 '15 at 13:42
  • @Walter Where does (or better did) the alias link to? – klanomath Mar 21 '15 at 14:05
  • to /System/Library/Java/Support/CoreDeploy.bundle/Contents/JavaAppletPlugin.plugin – Walter Mar 21 '15 at 14:13
  • @Walter This is the old (1.6) plugin from Apple. After installing Java 8 you will have a new one at "/Library/Internet Plug-Ins/". You may just leave the old one where it is. – klanomath Mar 21 '15 at 14:18
  • Why should I keep it there? Is it ever needed again? Why '(1.6)'? What about the whole directory at /System/Library/Java? Is this still needed? – Walter Mar 21 '15 at 14:22

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .